#!/bin/bash
# 脚本文件名：az.sh
# 修订版本：1.0
# 日期：2024/03/1
# 作者：Jack.liu
# 电子邮件：lqf@xlsys.cn
# 网址：www.xlsys.cn

# 定义脚本文件的 URL 和本地路径
SCRIPT_URL="https://download.xlsys.cn/tools/Shall/route_leso.sh"
LOCAL_SCRIPT="/usr/local/route_leso.sh"

# 检查是否存在本地脚本文件
if [ -f "$LOCAL_SCRIPT" ]; then
    echo "Local script found."
    # 获取本地脚本文件大小
    local_size=$(stat -c %s "$LOCAL_SCRIPT")
    
    # 获取远程脚本文件大小
    remote_size=$(curl -sI "$SCRIPT_URL" | grep -i content-length | awk '{print $2}' | tr -d '\r')
    
    # 检查远程脚本文件大小是否大于本地文件大小（即是否为最新版本）
    if [ "$remote_size" -gt "$local_size" ]; then
        echo "Updating script..."
        # 下载最新版本的脚本文件
        curl -o "$LOCAL_SCRIPT" "$SCRIPT_URL"
        # 赋予脚本执行权限
        chmod +x "$LOCAL_SCRIPT"
    else
        echo "Script is already up to date."
    fi
else
    echo "Local script not found. Downloading..."
    # 下载脚本文件
    curl -o "$LOCAL_SCRIPT" "$SCRIPT_URL"
    # 赋予脚本执行权限
    chmod +x "$LOCAL_SCRIPT"
fi